<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Name: Vital Signs Summary CDA document
Description: Een minimaal CDA Release 2 document die alleen een paar attributen en relaties voor een ClinicalDocument class bevat:  
                     typeId: vast 
                     id: uniek id van de document instantiatie 
                     code: type van het document 
                     effectiveTime: datum waarop document is gecreëerd 
                     confidentialityCode: indicatie van level van vertrouwen voor dit document 
                     recordTarget: onderwerp (bv. patient) 
                     author: auteur van dit document 
                     custodian: beheerder van dit document 
                     component: bevat (in dit geval) een gestructureerde inhoud 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000">
   <title>Vital Signs Summary CDA document</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /
Item: (VitalSignsCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]"
         id="tmp-r-73098909-95b9-4a8b-8c39-32980920dff5">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(VitalSignsCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(VitalSignsCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/@nullFlavor)">(VitalSignsCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'])&lt;=1">(VitalSignsCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VitalSignsCDAdocument): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:id)&lt;=1">(VitalSignsCDAdocument): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(VitalSignsCDAdocument): element hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(VitalSignsCDAdocument): element hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:title)&lt;=1">(VitalSignsCDAdocument): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(VitalSignsCDAdocument): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VitalSignsCDAdocument): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(VitalSignsCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(VitalSignsCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(VitalSignsCDAdocument): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(VitalSignsCDAdocument): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:custodian)&lt;=1">(VitalSignsCDAdocument): element hl7:custodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-958e17be-bcbe-40d3-a5f4-fe931e394b56">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900001-2014-07-08T000000.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900001-2014-07-08T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root SHALL have value '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']"
         id="tmp-r-cc800ff5-fb08-4520-ac66-30511cbb2cc2">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalSignsCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.60.5.10.1'">(VitalSignsCDAdocument): @root SHALL have value '2.16.840.1.113883.3.1937.99.60.5.10.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:id
Item: (CDAid)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:id"
         id="tmp-r-c92087d3-b73b-47da-bf43-5b751fa80ba6">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900002-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-5686d156-70d0-4413-9214-642700e46f68">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalSignsCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="@nullFlavor or (@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')">(VitalSignsCDAdocument): The element value SHALL be code '51848-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:title"
         id="tmp-r-332deeed-8468-4ede-8843-67172e1ad75e">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900003-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:effectiveTime"
         id="tmp-r-2b375c2d-0412-4f1e-ac5f-8911fa237796">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900004-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900005
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-bc33bbdf-08c4-4a99-b8dc-980ec4bb28e9">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900005-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900005-2014-07-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): The element value SHALL be BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900005-2014-07-08T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAconfidentialityCode): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget"
         id="tmp-r-6af2d215-bb9b-43eb-b737-f1666f84e4af">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-84cd0f12-ed05-4d87-8ca4-d14dabaef1df">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900207
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (NationalPatientIdentifier)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-8c1cd66a-1fb5-4cc8-b9ae-7e175d4f3aff">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900207-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NationalPatientIdentifier): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900207-2014-07-08T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(NationalPatientIdentifier): @root SHALL have value '2.16.840.1.113883.2.4.6.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-3a76648d-1cc1-436c-aec7-32b7a1a47aba">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-e0cba3f7-6141-4b68-9b53-dc55f1d9f4ab">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-7ee3983e-ff92-4442-8bca-210aa37d2db3">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be AdministrativeGender (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-ef727b13-bd53-49cf-9701-b7fd35c72cf9">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author"
         id="tmp-r-94ed3c0c-5adb-4c76-9287-26fe8ff111f7">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:time"
         id="tmp-r-2a7d2f58-67a9-44db-9335-8297a92a7188">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor"
         id="tmp-r-1be9ea0f-4998-43c5-a38f-0adffe50e3f0">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAauthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:id)&lt;=1">(CDAauthor): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-2a1b025b-e0be-4efe-8d5d-366c7a239b47">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-a8bb02f8-d278-4349-ac57-ece4b966ab37">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-43603a3c-f96a-4210-a0fd-ce0a15d67bfa">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(PersonElements): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:family)&lt;=1">(PersonElements): element hl7:family appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(PersonElements): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:given)&lt;=1">(PersonElements): element hl7:given appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:family
Item: (PersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:family"
         id="tmp-r-a54ab22c-415b-4cd2-ae34-0f01d30de676">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:given
Item: (PersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:given"
         id="tmp-r-2d287a39-71dd-4623-b397-589b8ad5fffd">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-e2a5c991-a19f-434f-9d85-98afb07542b1">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAauthor): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-0e0784c8-6280-4430-9c8e-8685f0f7f7cc">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-ae696add-4d80-4ec7-9b60-d2a5c11eb642">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-b23fa615-c47f-4782-8898-c95228833570">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-b947fc63-4ee4-42fa-9a18-ba67571aa4fa">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian"
         id="tmp-r-10a27d56-40fd-4310-82ff-ffb02316ed26">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@typeCode)='CST' or not(@typeCode)">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-9436b7f5-69e4-4f9a-8e22-d7b03db42f62">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-f5fb4371-cb64-42f6-b410-f66c585b7442">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-r-2226416f-c52a-48f9-bab7-b44319995caa">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-r-2170c1a2-11da-4d26-b097-c0f6e74086fc">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-r-6c22e995-1f1b-4fba-8701-c2aae90fe36a">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-r-2df4c7db-9cca-445f-857b-51f79e17f6a8">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component"
         id="tmp-r-2c75c66a-8079-4717-b8ec-3b54a87aae51">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(VitalSignsCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(VitalSignsCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component/hl7:structuredBody
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component/hl7:structuredBody"
         id="tmp-r-79cfe9b0-5788-4f81-a55a-3c0eaf2eec62">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(VitalSignsCDAdocument): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(VitalSignsCDAdocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]]/@nullFlavor)">(VitalSignsCDAdocument): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]])&lt;=1">(VitalSignsCDAdocument): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]]
Item: (VitalSignsCDAdocument)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]]">
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(VitalSignsCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://art-decor.org/demos/demo5/demo5-html-20140730T101421/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(VitalSignsCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
